What versions of Android does MediaFire for Android support?

MediaFire for Android works with Android 2.3.3 +  This includes Gingerbread MR1 and higher.
Have more questions? Submit a request

0 Comments

Article is closed for comments.